台灣資料科學愛好者年會的資料科學上手課程的輔助用套件
Clone or download
Latest commit a06638e Jul 23, 2015
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
R Add function helper Documents Aug 25, 2014
data Merge pull request #81 from KuiMing/master Aug 26, 2014
inst resolve #88 Sep 8, 2014
man Add function helper Documents Aug 25, 2014
tests update tested slides Aug 24, 2014
.gitmodules remove git submodule inst/ETL/slides Aug 24, 2014
DESCRIPTION update slides Sep 8, 2014
NAMESPACE resolve #56 Aug 23, 2014
README.md resolve #91 Jul 23, 2015
configure [debug] typo Aug 2, 2014

README.md

安裝說明

  1. 請執行R.version檢查R 的版本。本次課程中需要3.1版本以上的R。如果是3.0的版本,安裝時會看到package ‘DSC2014Tutorial’ is not available (for R version 3.0.2)。升級方式請見下面的更新方式
  2. 請依據不同的OS在R console貼上下列script。如果有錯誤訊息,請參考以下的Q&A
  3. 有些講師投影片中的套件,在課程中用得較少。我們將這類套件放到Suggests之中。如果學員想要安裝這類套件好執行程式碼,請參考以下的Suggests安裝指南

Windows

install.packages('DSC2014Tutorial', repo = c('http://taiwanrusergroup.github.io/R-2014', "http://cran.csie.ntu.edu.tw"), type = 'win.binary')

Ubuntu

請先安裝以下Ubuntu套件:

sudo apt-get install libcurl4-openssl-dev libxml2-dev espeak

再在R底下執行

install.packages('DSC2014Tutorial', repo = c('http://taiwanrusergroup.github.io/R-2014', "http://cran.csie.ntu.edu.tw"), type = 'source')

Mac

請Mac User執行以下的Script:

deps <- available.packages("http://taiwanrusergroup.github.io/R-2014/src/contrib")[1,"Imports"]
pkgs <- strsplit(gsub("\\s", "", deps), ",")[[1]]
for(i in seq_along(pkgs)) {
  # You can change your favorite repository
  if (require(pkgs[i], character.only = TRUE)) next
  install.packages(pkgs[i], repo = "http://cran.csie.ntu.edu.tw")
}
install.packages('DSC2014Tutorial', repo = 'http://taiwanrusergroup.github.io/R-2014', type = 'source')

Q&A

  • ERROR: dependencies ‘wordcloud’, ‘gridExtra’ are not available for package ‘DSC2014Tutorial’
  • package ‘DSC2014Tutorial’ is not available (for R version 3.0.2)
    • 請更新R到3.1以上的版本。

更新方式

Mac

請至 http://cran.r-project.org/bin/macosx/ 下載

windows

參考資料

在R console鍵入

install.packages("installr"); require(installr) 
updateR()

Ubuntu

參考資料

首先移除舊版的R,在ubuntu指令列中鍵入

sudo apt-get remove r-base-core

接著手動更新sources.list,在ubuntu指令列中鍵入

sudo gedit /etc/apt/sources.list

在gedit編輯器中最下行增加下列文字

deb http://cran.rstudio.com/bin/linux/ubuntu trusty/

存檔,關閉gedit編輯器
新增Public Keys,在ubuntu指令列中鍵入

gpg --keyserver keyserver.ubuntu.com --recv-key E084DAB9
gpg -a --export E084DAB9 | sudo apt-key add -

安裝新版R,在ubuntu指令列中鍵入

sudo apt-get update
sudo apt-get install r-base

做完直接開啟R檢查版本即可

投影片

library(DSC2014Tutorial)
slides("Basic")
slides("ETL1")
slides("ETL2")
slides("DataAnalysis")
slides("Visualization1")
slides("Visualization2")
slides("Visualization3")

安裝Suggests

請執行以下的程式碼

deps <- available.packages("http://taiwanrusergroup.github.io/R/src/contrib")[1,"Suggests"]
pkgs <- strsplit(gsub("\\s", "", deps), ",")[[1]]
for(i in seq_along(pkgs)) {
  # You can change your favorite repository
  if (require(pkgs[i], character.only = TRUE)) next
  install.packages(pkgs[i], repo = "http://cran.csie.ntu.edu.tw")
}